<chapter xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xi="http://www.w3.org/2001/XInclude" version="5.0" xml:lang="hu">
    <info>
        <title>Helló, Gutenberg!</title>
        <keywordset>
            <keyword/>
        </keywordset>
        <cover>
            <para>
                Programozás tankönyvek rövid olvasónaplói.
            </para>
        </cover>
    </info>  
    <section>
        <title>Bevezetes a mobilprogramozasba</title>
        <para> 
A Python egy altalanos celu programozasi nyelv. Magasszintu, dinamikus, objektumorientalt es paltformfuggetlen.              
        </para>
        <para>
Python kod hasznalatakor nincs szukseg forditasi fazisra.
        </para> 
	<para>
Hasznalata egyszerubb mint pl a c/c++ vagy a java nyelvek hasznalata. Rengeteg ujrahasznosithato kodhoz ad hozzaferest, ami megkonnyiti illetve felgyorsitja a programok irasat. A kodcsoportositas egyszeru tagolassal tortenik, nincs szukseg nyito es zaro jelzesekre. Nincs szukseg valtozo vagy argumentumdefinialasra.
	</para>       
    </section>        

    <section>
        <title>Magas szintu programozasi nyelvek 1</title>
        <para> 
A szamitogepek programozasara kialakult nyelvek 3 szintjet kulonboztetjuk meg:-gepi nyelv,-assembly nyelv,-magas szintu nyelv.               
        </para>
        <para>
Magas szintu nyelven irt programokbol olyat kell letrehozni amelyet a gep is tud ertelmezni ez 2 felekeppen valosulhat meg:-forditoprogramos,-interpreteres megoldaokat hasznalhatunk.
        </para> 
	<para>
Nyelvak osztalyozasa:-Imperativ nyelvek: a)Eljarasorientalt b)Objektumorientalt -Deklarativ: a)Funkcionalis b) Logikai.
	</para>       
    </section>        
     
    <section>
        <title>Kernighan Ritchie- A C programozasi nyelv</title>
        <para> 
Alapismeretek: A c nyelv tanulasat az alapismeretek gyors elsajatitasaval kezdjuk. A nyel tanulasanal fontos hogy az olvaso minel hamarabb el jusson egy pontra amikor mar egyedul hasznalhato programokat tud irni.        
        </para>
        <para>
Minden programozo egy "Hello vilag" vagy ez esetben "Figyelem emberek" Kiiratasaval kezd. Ez az elso program aminek ertelmezi a kodjat. Nagyon fontos hogy ha barmit valtoztatunk a kodon, akkor az mar nem fog "normalisan" lefutni. A konyvben talalhato kodot egy gyors forditas utan mar tudjuk is futtatni. A forditas utan keletkezett allomany neve a.out. Ezt futtatva megjelenik a "Figyelem emberek!" a kimeneten. Ez utan kiserletezhetunk a kod atirasaval. peldaul kiirathatjuk kulon sorokba a szoveget. 
        </para>  
	<para>
Mar ugordhatunk is a masodik feladatunkra ahol Celsiusbol valtunk Fahrenheitba. Egy keplet segitsegevel egyszeruen megirhato ez a program.
	</para>      
    </section>        
    <section>
        <title>Szoftverfejlesztes C++ nyelven</title>
        <para> 
A C++ nyelv egy objektum orientalt magas szintu programozasi nyelv. Elodje a C nyelv. A C++ a C nyelv egy tovabbfejlesztese.             
        </para>
	<para>
A C++ nyelvnek attol fuggetlenul hogy egy objektum orientalt nyelv termeszetesen vannak nem objektum orientalt tulajdonsagai. 
	</para>
	<para>
A C nyelvre epit de nem teljesen ugyanugy kell hasznalnunk. Ezt megfigyelhetjuk egy egyszeru fuggveny definicional is. Tehat: Mig C nyelven ures parameterlistaval definialt fuggveny tetszoleges szamu parameterrel hivhato. C++ nyelven ez viszont azt jelentene hogy a fuggvenynek nincs parametere. Termeszetesen C++ nyelven is megadhato a tetszoleges szamu parameterrel hivhato fuggveny a (...) hasznalataval.
	</para>
	<para>
Szabalyos C++ nyelvben  a main fuggvenynek 2 formaja letezik.
	</para>
	<para>
A C++ nyelven bevezettek a bool tipust, ami true vagy false erteket ad vissza.
	</para>
	<para>
A C++-ban minden olyan helyen allhat valtozodeklaracio, ahol utasitas allhat.
	</para>
	<para>
A C++-ban lehetoseg van azonos nevu fuggvenyek letrehozasara.
	</para>
	<para>
A C++ nyelvben lehetoseg van arra, hogy a fuggvenyek argumentumainak alapertelmezett erteket adjunk.
	</para>
	<para>
C-ben ertek szerinti atadas van. Ha nem ezt szeretnenk csinalni akkor mutatokat kell alkalmaznunk. C++-ban viszont lehetoseg van referecia atadasra is.  
	</para>
	<para>
Nagyon fontos hogy amikor kodot irunk ne csak gyors, de konnyen ertelmezheto is legyen. Hiszen ha a kod tovabbfejlesztesre szorul akkor hasznos ha nem kell ujra irnunk az egeszet csak azert mert szinte ertelmezhetetlen. A kod "tisztan tartasaban" segit az objektum orientaltsag. Osztalyok hasznalataval egy "alaprajzot" adhatunk meg. Az osztalyokban privat tagokat is letre tudunk hozni, ezeket mas osztalyokbol nem erhetjuk el. Letre tudunk meg hozni olyan osztalyokat is melyek mas osztalyokbol allnak elo, ezzel is segitve az atlathatosagot.28
	</para>
	<para>

	</para>
    </section>        
</chapter>                
